DMARC
Get a DMARC aggregate report
Returns complete report metadata, transport details, published policy, raw aggregate XML, and a paginated set of normalized authentication records.
GET
/
dmarc
/
reports
/
{reportKey}
Get a DMARC aggregate report
curl --request GET \
--url https://api.jetemail.com/dmarc/reports/{reportKey} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.jetemail.com/dmarc/reports/{reportKey}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.jetemail.com/dmarc/reports/{reportKey}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"report": {
"report_key": "<string>",
"domain_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"policy_domain": "example.com",
"schema_version": "1.0",
"reporter_org_name": "Google Inc.",
"reporter_email": "noreply-dmarc-support@google.com",
"external_report_id": "1234567890123456789",
"report_begin": 123,
"report_end": 123,
"policy_p": "reject",
"policy_sp": "reject",
"policy_np": "reject",
"policy_adkim": "r",
"policy_aspf": "r",
"policy_pct": 100,
"record_count": 12,
"total_messages": 1842,
"pass_messages": 1800,
"fail_messages": 42,
"disposition_none": 1800,
"disposition_quarantine": 12,
"disposition_reject": 30,
"received_at": 123,
"dmarc_id": "<string>",
"reporter_extra_contact_info": "<string>",
"reporter_generator": "<string>",
"report_errors": [
"<string>"
],
"policy_discovery_method": "<string>",
"policy_fo": "<string>",
"policy_testing": "<string>",
"recipient": "jsmith@example.com",
"peer_ip": "<string>",
"mail_from": "<string>",
"header_from": "<string>",
"message_id": "<string>",
"subject": "<string>",
"tls": 0,
"attachment_filename": "<string>",
"attachment_content_type": "<string>",
"compressed_bytes": 1,
"decompressed_bytes": 1,
"report_extensions_xml": "<string>",
"raw_xml": "<string>",
"raw_xml_sha256": "<string>"
},
"records": [
{
"record_key": "<string>",
"source_ip": "192.0.2.10",
"message_count": 125,
"disposition": "none",
"dkim": "pass",
"spf": "pass",
"policy_reason_types": [
"<string>"
],
"policy_reason_comments": [
"<string>"
],
"header_from": "<string>",
"envelope_from": "<string>",
"envelope_to": "<string>",
"dkim_domains": [
"<string>"
],
"dkim_selectors": [
"<string>"
],
"dkim_results": [
"<string>"
],
"dkim_human_results": [
"<string>"
],
"spf_domains": [
"<string>"
],
"spf_scopes": [
"<string>"
],
"spf_results": [
"<string>"
],
"spf_human_results": [
"<string>"
],
"extensions_xml": "<string>"
}
],
"total": 1
}{
"error": "Invalid domain",
"success": false,
"code": "invalid_domain",
"details": "<string>"
}{
"error": "Invalid domain",
"success": false,
"code": "invalid_domain",
"details": "<string>"
}{
"error": "Invalid domain",
"success": false,
"code": "invalid_domain",
"details": "<string>"
}{
"error": "Invalid domain",
"success": false,
"code": "invalid_domain",
"details": "<string>"
}Authorizations
API key for account management endpoints. Use your api_ prefixed token.
Path Parameters
64-character hexadecimal report key.
Pattern:
^[0-9a-fA-F]{64}$Query Parameters
Required range:
1 <= x <= 2000Required range:
x >= 0⌘I
Get a DMARC aggregate report
